//打包时修改env的值即可
const env = 'production' //test,production,local

export const encryptKey = '1234567890123456' // http数据加解密的key 

export const apiUrl = '/czg/'
export const h5Config = {
	production: 'https://web.hnsiyao.cn',
	test: 'https://web-api.hnsiyao.cn',
	local: 'http://192.168.1.56:8787'
}

export const AppConfig = {
	production: 'https://dj-api.hnsiyao.cn',
	test: 'https://web-api.hnsiyao.cn',
	local: 'http://192.168.1.56:8787'
}

export function returnShareUrl() {
	if (env === 'test') {
		return 'https://video-h5.hnsiyao.cn'
	}
	if (env === 'production') {
		return 'https://dj-h5.hnsiyao.cn'
	}
	if (env === 'local') {
		return AppConfig[env]
	}
}
// #ifdef H5
export default {
	baseUrl: h5Config[env],
	baseApiUrl: h5Config[env] + apiUrl,
	shareUrl: returnShareUrl()
}
// #endif


// #ifdef APP
export default {
	baseUrl: AppConfig[env],
	baseApiUrl: AppConfig[env] + apiUrl,
	shareUrl: returnShareUrl()
}
// #endif